<?php
/**
 * Provide a admin page view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://chykalophia.com/woocommerce-direct-links
 * @since      0.1.0
 *
 * @package    Woocommerce_Direct_Links
 * @subpackage Woocommerce_Direct_Links/admin/partials
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit();
}
?>

<!-- Display Page for the WordPress Direct Link Admin Page -->
<div class="wrap">
	<h1>
		<?php
		echo esc_html( get_admin_page_title() );
		?>
	</h1>
	<input type="hidden" id="cklph-wdl-hidden">
	<div id="cklph-wdl-reply" class=""></div>

<?php
	$wdl_table = new Cklph_Wdl_List_Table();
	$wdl_table->prepare_items();
	$wdl_table->search_box( __( 'Search Products', 'woocommerce-direct-links' ), 'search' );
	$wdl_table->display();
